Page tree
Skip to end of metadata
Go to start of metadata

Sangoma Linux Driver (Wanpipe) require a list of packages on your system prior to install.  The following packages must also be installed if upgrading Wanpipe for Trixbox/Elastix/AsteriskNow from source (.tgz):

All Linux Driver Minimum Requirements
C developement tools ...(gcc)
C++ developement tools
Make utility
Ncurses library
Perl developement tools
AWK
FLEX
flex-devel
Patch
libtermcap-devel
bison
libtools
autoconf
automake
kernel-devel 

 Simply copy and paste the strings below in the Linux command line to auto-download all the Linux Driver requirements

Note: The following assumes your Linux distribution uses "yum" or "apt" package managers, adjust to your distros package manager (for example Suse uses "yast").
 

Redhat Distributions YUM Packages (i.e. Centos, Trixbox/Elastix source (.tgz) install )
yum -y install kernel-devel-$(uname -r) libtool* make gcc patch perl bison gcc-c++ ncurses-devel flex flex-devel libtermcap-devel autoconf* automake* autoconf

For W400 GSM, include "yum -y install libxml2-devel cmake"  
* For Legacy SMG(BRI), include "yum -y install lksctp-tools-devel"
 

 

Ubuntu/Debian 6 Distributions Apt-get Packages
apt-get -y install gcc g++ automake autoconf libtool make libncurses5-dev flex bison patch libtool autoconf linux-headers-$(uname -r) sqlite3 libsqlite3-dev 

 * For Legacy SMG(BRI), include "apt-get -y install libsctp-dev"

 

Debian 5 Apt-get Packages

Download autotools-dev from http://ftp.us.debian.org/debian/pool/main/a/autotools-dev/autotools-dev_20100122.1_all.deb
Download libtool from http://packages.debian.org/squeeze/libtool
Download autoconf from http://ftp.us.debian.org/debian/pool/main/a/autoconf/autoconf_2.67-2_all.deb
Download automake from http://ftp.us.debian.org/debian/pool/main/a/automake1.10/automake_1.10.1-3_all.deb
Download autoconf from http://ftp.us.debian.org/debian/pool/main/a/autoconf/autoconf_2.61-8_all.deb
Download libncurses5-dev from http://packages.debian.org/lenny/libncurses5-dev
Download flex from http://packages.debian.org/lenny/flex
Download bison from http://packages.debian.org/lenny/bison 
apt-get -y install patch 
apt-get -y install linux-headers-$(uname -r)
apt-get -y install make  
apt-get -y install build essentials
apt-get -y install coreutils
apt-get -y install debianutils
apt-get -y install gcc
apt-get -y install g++
 

 * For Legacy SMG(BRI), download libsctp-dev from http://packages.debian.org/lenny/libsctp-dev

 

openSUSE Yast Packages

yast -i kernel-pae-devel
yast -i libtool
yast -i gcc
yast -i patch
yast -i perl
yast -i bison
yast -i gcc-c++
yast -i ncurses
yast -i ncurses-devel
yast -i flex

yast -i flex-devel
yast -i compat-readline4
yast -i termcap
yast -i lksctp-tools-devel 
yast -i autoconf
yast -i automake
yast -i libxml2

  • No labels